Summary:        Perl extension for merging IPv4 or IPv6 CIDR addresses
Name:           perl-Net-CIDR-Lite
Version:        0.22
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-CIDR-Lite
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-CIDR-Lite-%{version}.tar.gz

BuildRequires: coreutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(Test) perl(Test::More) perl(Test::Pod) >= 1.00
BuildRequires: perl(Carp) perl(strict) perl(vars)
BuildRequires: perl(Test::Pod::Coverage)

Requires:       perl-libs

BuildArch:      noarch

%description
Faster alternative to Net::CIDR when merging a large number of CIDR address
ranges. Works for IPv4 and IPv6 addresses.

%prep
%autosetup -n Net-CIDR-Lite-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::CIDR::Lite.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 cunshunxia <cunshunxia@tencent.com> - 0.22-1
- initial build
